CLASS yddg_p_sm12 DEFINITION
  PUBLIC
  INHERITING FROM yddg__p_sm12
  FINAL
  CREATE PUBLIC .

  PUBLIC SECTION.
  PROTECTED SECTION.
  PRIVATE SECTION.
ENDCLASS.



CLASS yddg_p_sm12 IMPLEMENTATION.
ENDCLASS.
